# MPI_Win_toint

converts MPI_Win to an integer handle

## Synopsis

    int MPI_Win_toint(MPI_Win win)

## Input Parameters

win
  window object (handle)

## Thread and Interrupt Safety

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as `malloc` or other non-MPICH runtime routines that are themselves not interrupt-safe.